<?php

use EventPortal\Http\Controllers\Delegate\DashboardController;

Route::get('', [DashboardController::class, '__invoke'])->name('home');

Route::get('/account', 'Delegate\AccountController')->name('account.index');

Route::prefix('event/{event:slug}')->group(function (): void {
    Route::get('/', 'Delegate\Event\LandingController')->name('delegate.landing');
    Route::get('/agenda', 'Delegate\Event\AgendaController')->name('agenda.index');
    Route::get('/venue', 'Delegate\Event\VenueController')->name('venue.index');
    Route::get('/contact', 'Delegate\Event\ContactController')->name('contact.index');
});
